<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@drawable/shape_bg_main"
    android:paddingTop="35dp">

    <ImageView
        android:id="@+id/back"
        android:layout_width="55dp"
        android:layout_height="0dp"
        android:layout_alignTop="@id/category_name"
        android:layout_alignBottom="@id/category_name"
        android:padding="12dp"
        android:src="@drawable/icon_back_black" />

    <com.picture.ar.drawing.utils.MyText
        android:id="@+id/category_name"
        android:layout_width="wrap_content"
        android:layout_height="45dp"
        android:layout_centerHorizontal="true"
        android:layout_marginTop="5dp"
        android:gravity="center"
        android:text="@string/upload_photo"
        android:textColor="@color/black"
        android:textSize="16sp"
        app:apply_font="true" />

    <ImageView
        android:id="@+id/add_img"
        android:layout_width="45dp"
        android:layout_height="45dp"
        android:layout_alignTop="@id/category_name"
        android:layout_alignBottom="@id/category_name"
        android:layout_alignParentEnd="true"
        android:layout_marginEnd="10dp"
        android:padding="12dp"
        android:src="@drawable/icon_add_images" />

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/recyclerview"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@id/back"
        android:paddingBottom="100dp" />


    <LinearLayout
        android:id="@+id/layout_no_import"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:gravity="center"
        android:orientation="vertical"
        android:visibility="gone">

        <ImageView
            android:layout_width="156dp"
            android:layout_height="156dp"
            android:src="@drawable/bg_empty" />

        <com.picture.ar.drawing.utils.MyText
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="25dp"
            android:layout_marginEnd="25dp"
            android:lineSpacingExtra="4dp"
            android:text="@string/no_import"
            android:textColor="@color/text_hint_color"
            android:textSize="16sp" />
    </LinearLayout>


    <FrameLayout
        android:id="@+id/loading"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:clickable="true"
        android:focusable="true"
        android:visibility="gone">

        <ProgressBar
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:indeterminateTint="@color/color_E8D2F6" />
    </FrameLayout>


</RelativeLayout>




